

<?php
/*
*<!-- begin of generated class -->

* -------------------------------------------------------
* CLASSNAME:        tbl_newsletter_subscriber
* GENERATION DATE:  10.03.2017
* CLASS FILE:       D:\wamp\www\Classgenerator/generated_classes/class.tbl_newsletter_subscriber.php
* FOR MYSQL TABLE:  tbl_newsletter_subscriber
* FOR MYSQL DB:     poorna_pooja
* -------------------------------------------------------
* CODE GENERATED BY:
* MY PHP-MYSQL-CLASS GENERATOR
* from: >> www.voegeli.li >> (download for free!)
* -------------------------------------------------------
*
*/

include_once(MODEL_DIR_PATH."class.database.php");

// **********************
// CLASS DECLARATION
// **********************

class tbl_newsletter_subscriber
{ // class : begin


// **********************
// ATTRIBUTE DECLARATION
// **********************


var $subscriber_id;   // (normal Attribute)
var $subscriber_email;   // (normal Attribute)
var $subscription_date;   // (normal Attribute)
var $unsubscribe;   // (normal Attribute)
var $is_delete;   // (normal Attribute)
var $database; // Instance of class database


// **********************
// CONSTRUCTOR METHOD
// **********************

function tbl_newsletter_subscriber()
{

$this->database = new Database();

}


// **********************
// GETTER METHODS
// **********************


function getsubscriber_is_delete()
{
return $this->is_delete;
}

function getsubscriber_id()
{
return $this->subscriber_id;
}

function getsubscriber_email()
{
return $this->subscriber_email;
}

function getsubscription_date()
{
return $this->subscription_date;
}

function getunsubscribe()
{
return $this->unsubscribe;
}

// **********************
// SETTER METHODS
// **********************


function setsubscriber_is_delete($val)
{
$this->is_delete =  $val;
}

function setsubscriber_id($val)
{
$this->subscriber_id =  $val;
}


function setsubscriber_email($val)
{
$this->subscriber_email =  $val;
}

function setsubscription_date($val)
{
$this->subscription_date =  $val;
}

function setunsubscribe($val)
{
$this->unsubscribe =  $val;
}


// **********************
// SELECT METHOD / LOAD
// **********************

function select($id)
{

$sql =  "SELECT * FROM tbl_newsletter_subscriber WHERE  subscriber_id= $id and is_delete = '0' ;";
$result =  $this->database->query($sql);
$result = $this->database->result;
$row = mysqli_fetch_object($result);


$this->subscriber_id = $row->subscriber_id;

$this->subscriber_email = $row->subscriber_email;

$this->subscription_date = $row->subscription_date;

$this->unsubscribe = $row->unsubscribe;

}

// **********************
// DELETE
// **********************

function delete($id)
{
//$sql = "DELETE FROM tbl_newsletter_subscriber WHERE  subscriber_id= $id";
$sql = " UPDATE tbl_newsletter_subscriber SET  is_delete = '1' WHERE  subscriber_id= $id";
$result = $this->database->query($sql);

}

// **********************
// INSERT
// **********************

function insert()
{


 $sql = "INSERT INTO tbl_newsletter_subscriber ( subscriber_email,subscription_date) VALUES ('$this->subscriber_email','$this->subscription_date')";
$result = $this->database->query($sql);
return  mysqli_insert_id($this->database->link);

}

// **********************
// UPDATE
// **********************

function update($id)
{



$sql = " UPDATE tbl_newsletter_subscriber SET  subscriber_email = '$this->subscriber_email',subscription_date = '$this->subscription_date',unsubscribe = '$this->unsubscribe' WHERE  subscriber_id= $id ";

$result = $this->database->query($sql);



}




	//**********************
	// Count Subscribers List
	//**********************
	
	function CountSubscribers()
	{
	
		try
		{
			 $sql =  "SELECT * FROM tbl_newsletter_subscriber WHERE is_delete='0'  ORDER BY subscriber_id DESC";

			$result =  $this->database->query($sql);
			$result = $this->database->result;
			
			return mysqli_num_rows($result);
		}
		catch(Exception $e)
		{
			throw $e;
		}
	}



// Select All Subscribers List
	function selectAllSubscribersList($start=null,$per_page=null)
    {
	 if($start!=null || $per_page!=null)
            $limit="limit $start,$per_page";
            else
            $limit=null;
		
		try
		{
			$sql =  "SELECT * FROM tbl_newsletter_subscriber WHERE is_delete='0'  ORDER BY subscriber_id DESC $limit";
			$result =  $this->database->query($sql);
			$result = $this->database->result;
			
			if((!$result) || (mysqli_num_rows($result) == 0))
			{
				return array();
			}
			else
			{
			            
				for($count = 0; $row = mysqli_fetch_object($result); $count ++)
				{

				  $arr[$count] = new tbl_newsletter_subscriber();
				  $arr[$count]->setsubscriber_id($row->subscriber_id);
				  $arr[$count]->setsubscriber_email($row->subscriber_email);
				  $arr[$count]->setsubscription_date($row->subscription_date);
				  $arr[$count]->setunsubscribe($row->unsubscribe);
				  
				}
			
				return $arr;
			}
		}
		catch(Exception $e)
		{
			throw $e;
		}
	}


	//**********************
	// Validate Newsletter Subscription
	//**********************
	
	function chkAlreadySubscribe()
	{
	
		try
		{
			 $sql =  "SELECT * FROM tbl_newsletter_subscriber WHERE is_delete='0' AND subscriber_email ='".$this->subscriber_email."'  ORDER BY subscriber_id DESC";

			$result =  $this->database->query($sql);
			$result = $this->database->result;
			
			return mysqli_num_rows($result);
		}
		catch(Exception $e)
		{
			throw $e;
		}
	}


} // class : end

/************
<!-- end of generated class -->
*****************/
?>

